libzypp: zypp::target::rpm::BinHeader Class Reference

libzypp 17.36.6

Classes | Public Types | Public Member Functions | Private Member Functions | Private Attributes | List of all members
zypp::target::rpm::BinHeader Class Reference

`#include <zypp/target/rpm/BinHeader.h>`

Inheritance diagram for zypp::target::rpm::BinHeader:

## Classes
class | intList
class | stringList

## Public Types
using | Ptr = intrusive_ptr<BinHeader>
using | constPtr = intrusive_ptr<const BinHeader>
using | tag = rpmTag

## Public Member Functions
| BinHeader (Header h_r=0)
| BinHeader (BinHeader::Ptr &rhs)
| Dangerous!<\B> This one takes the header out of rhs and leaves rhs empty.
| ~BinHeader () override
bool | empty () const
bool | has_tag (tag tag_r) const
unsigned | int_list (tag tag_r, intList &lst_r) const
unsigned | string_list (tag tag_r, stringList &lst_r) const
int | int_val (tag tag_r) const
ByteArray | blob_val (tag tag_r) const
std::string | string_val (tag tag_r) const
std::string | format (const char *fmt) const
Header | get () const
std::list< std::string > | stringList_val (tag tag_r) const
std::ostream & | dumpOn (std::ostream &str) const override
| Overload to realize std::ostream & operator<<.
Public Member Functions inherited from zypp::base::ReferenceCounted
| ReferenceCounted ()
| Default ctor.
| ReferenceCounted (const ReferenceCounted &rhs)
| Copy ctor.
virtual | ~ReferenceCounted ()
| Dtor.
ReferenceCounted & | operator= (const ReferenceCounted &)
| Assignment.
unsigned | refCount () const
| Return reference counter value.
void | ref () const
| Add a reference.
void | unref () const
| Release a reference.

## Private Member Functions
bool | assertHeader ()

## Private Attributes
Header | _h

## Additional Inherited Members
Static Public Member Functions inherited from zypp::base::ReferenceCounted
static void | add_ref (const ReferenceCounted *ptr_r)
| Called by zypp::intrusive_ptr to add a reference.
static void | release (const ReferenceCounted *ptr_r)
| Called by zypp::intrusive_ptr to add a reference.
Protected Member Functions inherited from zypp::base::ReferenceCounted
virtual void | ref_to (unsigned) const
| Trigger derived classes after refCount was increased.
virtual void | unref_to (unsigned) const
| Trigger derived classes after refCount was decreased.
Related Symbols inherited from zypp::base::ReferenceCounted
void | intrusive_ptr_add_ref (const ReferenceCounted *ptr_r)
| intrusive_ptr hook to add_ref.
void | intrusive_ptr_release (const ReferenceCounted *ptr_r)
| intrusive_ptr hook to release.
std::ostream & | operator<< (std::ostream &str, const ReferenceCounted &obj)
| Stream output.

## Detailed Description

Definition at line 43 of file BinHeader.h.

## Member Typedef Documentation

## ◆ Ptr

using zypp::target::rpm::BinHeader::Ptr = intrusive_ptr<BinHeader>

Definition at line 48 of file BinHeader.h.

## ◆ constPtr

using zypp::target::rpm::BinHeader::constPtr = intrusive_ptr<const BinHeader>

Definition at line 50 of file BinHeader.h.

## ◆ tag

using zypp::target::rpm::BinHeader::tag = rpmTag

Definition at line 52 of file BinHeader.h.

## Constructor & Destructor Documentation

## ◆ BinHeader() [1/2]

zypp::target::rpm::BinHeader::BinHeader | ( | Header | h_r = 0 | ) |

Definition at line 161 of file BinHeader.cc.

## ◆ BinHeader() [2/2]

zypp::target::rpm::BinHeader::BinHeader | ( | BinHeader::Ptr & | rhs | ) |

Dangerous!<\B> This one takes the header out of rhs and leaves rhs empty.

Definition at line 176 of file BinHeader.cc.

## ◆ ~BinHeader()

zypp::target::rpm::BinHeader::~BinHeader | ( |  | ) |
| override

Definition at line 197 of file BinHeader.cc.

## Member Function Documentation

## ◆ assertHeader()

bool zypp::target::rpm::BinHeader::assertHeader | ( |  | ) |
| private

Definition at line 211 of file BinHeader.cc.

## ◆ empty()

bool zypp::target::rpm::BinHeader::empty | ( |  | ) | const
| inline

Definition at line 78 of file BinHeader.h.

## ◆ has_tag()

bool zypp::target::rpm::BinHeader::has_tag | ( | tag | tag_r | ) | const

Definition at line 233 of file BinHeader.cc.

## ◆ int_list()

unsigned zypp::target::rpm::BinHeader::int_list | ( | tag | tag_r,
|  | intList & | lst_r ) const

Definition at line 246 of file BinHeader.cc.

## ◆ string_list()

unsigned zypp::target::rpm::BinHeader::string_list | ( | tag | tag_r,
|  | stringList & | lst_r ) const

Definition at line 285 of file BinHeader.cc.

## ◆ int_val()

int zypp::target::rpm::BinHeader::int_val | ( | tag | tag_r | ) | const

Definition at line 316 of file BinHeader.cc.

## ◆ blob_val()

ByteArray zypp::target::rpm::BinHeader::blob_val | ( | tag | tag_r | ) | const

Definition at line 351 of file BinHeader.cc.

## ◆ string_val()

std::string zypp::target::rpm::BinHeader::string_val | ( | tag | tag_r | ) | const

Definition at line 381 of file BinHeader.cc.

## ◆ format()

std::string zypp::target::rpm::BinHeader::format | ( | const char * | fmt | ) | const

Definition at line 404 of file BinHeader.cc.

## ◆ get()

Header zypp::target::rpm::BinHeader::get | ( |  | ) | const

Definition at line 413 of file BinHeader.cc.

## ◆ stringList_val()

std::list< std::string > zypp::target::rpm::BinHeader::stringList_val | ( | tag | tag_r | ) | const

Definition at line 426 of file BinHeader.cc.

## ◆ dumpOn()

std::ostream & zypp::target::rpm::BinHeader::dumpOn | ( | std::ostream & | str | ) | const
| overridevirtual

Overload to realize std::ostream & operator<<.

Reimplemented from zypp::base::ReferenceCounted.

Reimplemented in zypp::target::rpm::RpmHeader.

Definition at line 450 of file BinHeader.cc.

## Member Data Documentation

## ◆ _h

Header zypp::target::rpm::BinHeader::_h
| private

Definition at line 60 of file BinHeader.h.

The documentation for this class was generated from the following files:

- zypp/target/rpm/BinHeader.h
- zypp/target/rpm/BinHeader.cc